

drivers/net/3c515.c: In function `__check_rx_copybreak':
drivers/net/3c515.c:406: warning: return discards qualifiers from pointer target type
drivers/net/3c515.c: At top level:
drivers/net/3c515.c:406: warning: initialization discards qualifiers from pointer target type

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/net/3c515.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/net/3c515.c~3c515-warning-fix drivers/net/3c515.c
--- 25/drivers/net/3c515.c~3c515-warning-fix	2005-01-10 22:33:57.405258512 -0800
+++ 25-akpm/drivers/net/3c515.c	2005-01-10 22:33:57.409257904 -0800
@@ -34,7 +34,7 @@ DRV_NAME ".c:v" DRV_VERSION " " DRV_RELD
 /* "Knobs" that adjust features and parameters. */
 /* Set the copy breakpoint for the copy-only-tiny-frames scheme.
    Setting to > 1512 effectively disables this feature. */
-static const int rx_copybreak = 200;
+static int rx_copybreak = 200;
 
 /* Allow setting MTU to a larger size, bypassing the normal ethernet setup. */
 static const int mtu = 1500;
_
